from turtle import *

a = list(map(int, input('Введіть дані: ').split()))

shape('circle')
pencolor('green')
fillcolor('lightgreen')
speed(0)
up()
goto(-300,0)
down()

n = len(a) #Кількість елементів списку
# w - ширина прямокутника
# 600 пікселів - ширина всієї діаграми
w = (600-n*10)/n 
# h - висота прямокутника
# 400 пікселів - висота найбільшого прямокутника
h = 200/max(a)
for j in range(n):
    begin_fill()
    for i in range(2):
        fd(w)
        left(90)
        fd(a[j]*h)
        left(90)
    end_fill()
    up()
    fd(5)
    write(a[j])
    fd(w+5)
    down()

# Сортування списку і його подальша візуалізація
a.sort()

up()
goto(-300, -300)
down()

for j in range(n):
    begin_fill()
    for i in range(2):
        fd(w)
        left(90)
        fd(a[j]*h)
        left(90)
    end_fill()
    up()
    fd(5)
    write(a[j])
    fd(w+5)
    down()
    
mainloop()
